//
//	plasticfs - the plastic file system
//	Copyright (C) 2003 Peter Miller;
//	All rights reserved.
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
//
// MANIFEST: functions to impliment the dup class
//

#include <plasticfs.h>

using namespace libplasticfs;


extern "C" int
dup(int oldfd)
{
    return plasticfs::get_master()->dup(oldfd);
}


extern "C" int
__dup(int oldfd)
{
    return plasticfs::get_master()->dup(oldfd);
}


extern "C" int
dup2(int oldfd, int newfd)
{
    return plasticfs::get_master()->dup2(oldfd, newfd);
}


extern "C" int
__dup2(int oldfd, int newfd)
{
    return plasticfs::get_master()->dup2(oldfd, newfd);
}
